> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webhook



## OpenAPI

````yaml https://givebutter.com/docs/api.json put /v1/webhooks/{webhook}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/webhooks/{webhook}:
    put:
      tags:
        - Webhooks
      summary: Update a webhook
      operationId: webhooks.update
      parameters:
        - name: webhook
          in: path
          required: true
          description: The webhook ID
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                events:
                  type: array
                  items:
                    type: string
                    enum:
                      - campaign.created
                      - campaign.updated
                      - ticket.created
                      - transaction.succeeded
                      - contact.created
                      - plan.canceled
                      - plan.created
                      - plan.failed
                      - plan.paused
                      - plan.resumed
                      - plan.updated
                      - refund.created
                  minItems: 1
                name:
                  type:
                    - string
                    - 'null'
                  maxLength: 255
                enabled:
                  type: boolean
              required:
                - url
                - events
      responses:
        '200':
          description: '`WebhookResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResource'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    WebhookResource:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        signature:
          type:
            - string
            - 'null'
        events:
          type: array
          items: {}
        enabled:
          type: boolean
        url:
          type: string
        last_status:
          type: string
        last_status_description:
          type: string
        last_used_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - events
        - enabled
        - url
        - last_status
        - last_status_description
        - last_used_at
        - created_at
        - updated_at
      title: WebhookResource
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````